Member Nodes - Task #7645
MNDeployment # 3557 (Operational): LTER Network

LTER object(s) not synchronizing - bad dateSysMetadataModified?
2016-02-17 00:08 - Rob Nahf

Status: Rejected Start date: 2016-02-17
Priority: Normal Due date:

Assignee: Mark Servilla % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Operational

Story Points:

Description

| stumbled across an object from LTER that isn't getting included in list objects. (doi:10.6073/AA/knb-lter-bes.417.47)
| believe it is because the dateSysMetdataModified uses the Z format for time zone.

In the MN copy, notice the Z in the modified date field:

2015-03-06T07:09:13.931577
2016-01-13T13:01:44.579484Z

A listObjects call fails to retrieve this object. Calling
https://gmn.lternet.edu/mn/v1/object?fromDate=2016-01-13T12:00:00.000&toDate=2016-01-13T14:00:00.000
returns:

Also, this object is an old object that looks like it has been reloaded, since the dateUploaded is different between LTER and the CN:

https://cn.dataone.org/cn/v2/meta/doi:10.6073/AA/knb-lter-bes.417.47
https://gmn.lternet.edu/mn/vi/meta/doi:10.6073/AA/knb-lter-bes.417.47

Maybe there are others just like it.

Related issues:
Related to Python GMN - Bug #7651: GMN returns two different dateSysMetadataM... New 2016-02-22

History

#1 - 2016-02-17 18:20 - Rob Nahf

discovered that a listObjects call restricted to the time window around the CN's listing of the modification date (2012-06-26T10:41:36.229+00:00)
does return the item:

https://gmn.lternet.edu/mn/vi/object?fromDate=2012-06-26T10:40:00.000+00:00&toDate=2012-06-26T10:45:00.000+00:00:

doi:10.6073/AA/knb-Iter-bes.417.47
eml://ecoinformatics.org/eml|-2.0.1
84a5a7f446bed53b2a5f9090dfc2e7d9
2012-06-26T10:41:36.229

11435

[ns1:objectList

Looking at the underlying GMN database tables for LTER, Mark noticed a discrepancy between what the database held (the 2012 date), and the one
in the serialized SystemMetadata object returned by GMN (the 2016 date).
#2 - 2016-02-22 23:42 - Mark Servilla

- Related to Bug #7651: GMN returns two different dateSysMetadataModified date Time stamps for same object added

#3 - 2016-02-22 23:45 - Mark Servilla
- Status changed from New to Rejected

- translation missing: en.field_remaining_hours set to 0.0

This issue is not related to the dateTime format: see #7651.

2024-04-09 22


https://redmine.dataone.org/issues/7651
http://www.tcpdf.org

